<?php
function wtd_designer_settings_main()
{
  if ( class_exists('Woocommerce') ) 
  {
    if( isset($_GET['post']) && $_GET['post'] === 'wtd_global_settings' ) 
    {
      $updateSettings = array(
                              'help_text' =>                   stripslashes(htmlentities($_POST['wtd_editor'])),
                              'cost_text'=>                    stripslashes(htmlentities($_POST['wtd_cost_textarea'])),
                              'bg_color_start' =>              $_POST['bg_color_top'],
                              'bg_color_end' =>                $_POST['bg_color_bottom'],
                              'content_color_start' =>         $_POST['content_color_top'],
                              'content_color_end' =>           $_POST['content_color_bottom'],
                              'menu_default_color' =>          '',
                              'menu_default_text_color' =>     $_POST['menu_default_text_color'],
                              'menu_selected_color' =>         $_POST['menu_selected_color'],
                              'menu_selected_text_color' =>    $_POST['menu_selected_text_color'],
                              'menu_border_color' =>           $_POST['menu_border_color'],
                              'product_selected_color' =>      $_POST['product_selected_color'],
                              'content_text_color' =>          $_POST['content_text_color'],
                              'content_text_border_color' =>   $_POST['content_text_border_color'],
                              'content_font_family' =>         '',
                              'btn_bg_color_start' =>          $_POST['btn_start_color'],
                              'btn_bg_color_end' =>            $_POST['btn_end_color'],
                              'btn_border_color' =>            $_POST['btn_border_color'],
                              'btn_border_radius' =>           $_POST['btn_border_radius'],
                              'btn_font_size' =>               $_POST['btn_font_size'],
                              'btn_font_family' =>             $_POST['wtd_change_font_name_btn'],
                              'btn_padding_top' =>             $_POST['btn_padding_top'],
                              'btn_padding_bottom' =>          $_POST['btn_padding_bottom'],
                              'btn_padding_left' =>            $_POST['btn_padding_left'],
                              'btn_padding_right' =>           $_POST['btn_padding_right'],
                              'btn_text_color' =>              $_POST['btn_text_color'],
                              'btn_bg_color_start_hover' =>    $_POST['btn_start_color_hover'],
                              'btn_bg_color_end_hover' =>      $_POST['btn_end_color_hover'],
                              'btn_border_color_hover' =>      $_POST['btn_border_color_hover'],
                              'btn_text_color_hover' =>        $_POST['btn_text_color_hover'],
                              'local_choose_product' =>        stripslashes(htmlentities($_POST['text_choose_product'])),
                              'local_add_text' =>              stripslashes(htmlentities($_POST['text_add_text'])),
                              'local_add_art'=>                stripslashes(htmlentities($_POST['text_add_art'])),
                              'local_help' =>                  stripslashes(htmlentities($_POST['text_help'])),
                              'local_buy' =>                   stripslashes(htmlentities($_POST['text_buy'])),
                              'local_normal_text' =>           stripslashes(htmlentities($_POST['text_normal_text'])),
                              'local_curved_text' =>           stripslashes(htmlentities($_POST['text_curved_text'])),
                              'local_add_textbox_placeholder' => stripslashes(htmlentities($_POST['textbox_placeholder'])),
                              'local_general_settings' =>      stripslashes(htmlentities($_POST['text_general_settings'])),
                              'local_change_font' =>           stripslashes(htmlentities($_POST['text_change_font'])),
                              'local_text_color' =>            stripslashes(htmlentities($_POST['text_color'])),
                              'local_text_align' =>            stripslashes(htmlentities($_POST['text_align'])),
                              'local_text_style' =>            stripslashes(htmlentities($_POST['text_style'])),
                              'local_text_move' =>             stripslashes(htmlentities($_POST['text_move'])),
                              'local_move_front' =>            stripslashes(htmlentities($_POST['text_move_front'])),
                              'local_move_back' =>             stripslashes(htmlentities($_POST['text_move_back'])),
                              'local_no_art' =>                stripslashes(htmlentities($_POST['text_no_art'])),
                              'local_image_move' =>            stripslashes(htmlentities($_POST['image_move'])),
                              'local_curved_text_settings' =>  stripslashes(htmlentities($_POST['text_curved_text_settings'])),
                              'local_text_curved' =>           stripslashes(htmlentities($_POST['text_curved'])),
                              'local_spacing' =>               stripslashes(htmlentities($_POST['text_spacing'])),
                              'local_text_flip' =>             stripslashes(htmlentities($_POST['text_flip'])),
                              'local_flip_top' =>              stripslashes(htmlentities($_POST['text_flip_top'])),
                              'local_flip_bottom' =>           stripslashes(htmlentities($_POST['text_flip_bottom'])),
                              'local_upload_your_image' =>     stripslashes(htmlentities($_POST['text_upload_image'])),
                              'local_art_gallery' =>           stripslashes(htmlentities($_POST['art_gallery'])),
                              'local_product_options' =>       stripslashes(htmlentities($_POST['product_options'])),
                              'local_buy_product' =>           stripslashes(htmlentities($_POST['buy_product'])),
                              'local_Qty' =>                   stripslashes(htmlentities($_POST['quantity'])),
                              'local_preview' =>               stripslashes(htmlentities($_POST['preview'])),
                              'local_front' =>                 stripslashes(htmlentities($_POST['front'])),
                              'local_back' =>                  stripslashes(htmlentities($_POST['back'])),
                              'local_add_text_error' =>        stripslashes(htmlentities($_POST['add_text_error'])),
                              'local_add_text_error_msg' =>    stripslashes(htmlentities($_POST['add_text_error_msg'])),
                              'local_add_curved_text_error_msg' => stripslashes(htmlentities($_POST['add_curved_text_error_msg'])),
                              'local_add_product_options_error' => stripslashes(htmlentities($_POST['add_product_options_error'])),
                              'local_add_product_options_error_msg' => stripslashes(htmlentities($_POST['add_product_options_msg'])),
                              'local_view_cart' =>             stripslashes(htmlentities($_POST['view_cart'])),
                              'local_cart_success_msg' =>      stripslashes(htmlentities($_POST['successful_msg'])),
                              'local_text_next' =>             stripslashes(htmlentities($_POST['btn_text_next'])),
                              'local_text_update' =>           stripslashes(htmlentities($_POST['btn_text_update'])),
                              'local_text_delete' =>           stripslashes(htmlentities($_POST['btn_text_delete'])),
                              'local_new_text' =>              stripslashes(htmlentities($_POST['btn_new_text'])),
                              'local_text_upload' =>           stripslashes(htmlentities($_POST['btn_text_upload'])),
                              'local_text_new_art' =>          stripslashes(htmlentities($_POST['btn_text_new_art'])),
                              'local_text_add_to_cart' =>      stripslashes(htmlentities($_POST['btn_text_add_to_cart'])),
      );
      update_option( 'wtd_settings_data', $updateSettings );
      wtd_settings_html();
    }
    else
    {
      wtd_settings_html();
    }
  }
  else
  {
    echo '<div class="not_active_plugin">Please install woocommerce plugin</div>';
  }
}

function wtd_settings_html()
{
  //load fonts
  $dir = WTD_DIR_PATH.'fonts/';
  $fontArray=array();
  $strFont='';
  $i=0;
  if (is_dir($dir)) 
  {
    if ($dh = opendir($dir)) 
    {
      while (($file = readdir($dh)) !== false) 
      {
        if (!in_array($file, array('.', '..')))
        {
          $fontArray[$i]= $file;
          $parseExtraFont=  explode('.ttf', strtolower($file));
          $strFont .=$parseExtraFont[0] .',';
          $i++;
        }
      }
      closedir($dh);
    }
  }
  
  $settings = get_option( 'wtd_settings_data' );
?>
<style type="text/css">
  <?php foreach ($fontArray as $file){ $parseFont=  explode('.ttf', strtolower($file));?>
  @font-face 
  {
      font-family:<?php echo $parseFont[0];?>; src: url('<?php echo WTD_URL;?>/fonts/<?php echo $file?>');
  }
  <?php }?>
</style>
<form method="post" action="admin.php?page=wtd_designer_settings_slug&post=wtd_global_settings" name="global_settings" enctype="multipart/form-data">
  <div class="wtd_admin_settings_panel">
    <div class="wtd_admin_settings_panel_text">Color Settings</div>
  </div>
  <table class="wtd_tbl_color_settings">
    <tr>
      <td>Background Color:</td>
      <td><input type="text" class="color" id="bg_color_top" name="bg_color_top" value="<?php echo $settings['bg_color_start'];?>"/>&nbsp;(Start Color)</td>
      <td>&nbsp;&nbsp;&nbsp;<input type="text" class="color" id="bg_color_bottom" name="bg_color_bottom" value="<?php echo $settings['bg_color_end'];?>"/>&nbsp;(End Color)</td>
    </tr>
    <tr>
      <td>Content Color:</td>
      <td><input type="text" class="color" id="content_color_top" name="content_color_top" value="<?php echo $settings['content_color_start'];?>"/>&nbsp;(Start Color)</td>
      <td>&nbsp;&nbsp;&nbsp;<input type="text" class="color" id="content_color_bottom" name="content_color_bottom" value="<?php echo $settings['content_color_end'];?>"/>&nbsp;(End Color)</td>
    </tr>
<!--    <tr>
      <td>Menu Default Color:</td>
      <td><input type="text" class="color" id="menu_default_color" name="menu_default_color" value="<?php echo $settings['menu_default_color'];?>"/></td>
    </tr>-->
    <tr>
      <td>Menu Default Text Color:</td>
      <td><input type="text" class="color" id="menu_default_text_color" name="menu_default_text_color" value="<?php echo $settings['menu_default_text_color'];?>"/></td>
    </tr>
    <tr>
      <td>Menu Selected Color:</td>
      <td><input type="text" class="color" id="menu_selected_color" name="menu_selected_color" value="<?php echo $settings['menu_selected_color'];?>"/></td>
    </tr>
    <tr>
      <td>Menu Selected Text Color:</td>
      <td><input type="text" class="color" id="menu_selected_text_color" name="menu_selected_text_color" value="<?php echo $settings['menu_selected_text_color'];?>"/></td>
    </tr>
    <tr>
      <td>Menu Border Color:</td>
      <td><input type="text" class="color" id="menu_border_color" name="menu_border_color" value="<?php echo $settings['menu_border_color'];?>"/></td>
    </tr>
    <tr>
      <td>Product Selected Color:</td>
      <td><input type="text" class="color" id="product_selected_color" name="product_selected_color" value="<?php echo $settings['product_selected_color'];?>"/></td>
    </tr>
    <tr>
      <td>Content Text Color:</td>
      <td><input type="text" class="color" id="content_text_color" name="content_text_color" value="<?php echo $settings['content_text_color'];?>"/></td>
    </tr>
    <tr>
      <td>Content Text Border Color:</td>
      <td><input type="text" class="color" id="content_text_border_color" name="content_text_border_color" value="<?php echo $settings['content_text_border_color'];?>"/></td>
    </tr>
  </table>
  <div class="wtd_admin_settings_panel">
    <div class="wtd_admin_settings_panel_text">Button Settings</div>
  </div>
  <table class="wtd_tbl_button_settings">
    <tr>
      <td>Background Gradient Start Color:</td>
      <td><input type="text" class="color" name="btn_start_color" id="btn_start_color" value="<?php echo $settings['btn_bg_color_start'];?>"/></td>
    </tr>
    <tr>
      <td>Background Gradient End Color:</td>
      <td><input type="text" class="color" name="btn_end_color" id="btn_end_color" value="<?php echo $settings['btn_bg_color_end'];?>"/></td>
    </tr>
    <tr>
      <td>Border Color:</td>
      <td><input type="text" class="color" name="btn_border_color" id="btn_border_color" value="<?php echo $settings['btn_border_color'];?>"/></td>
    </tr>
    <tr>
      <td>Border Radius:</td>
      <td><input type="number" name="btn_border_radius" id="btn_border_radius" value="<?php echo $settings['btn_border_radius'];?>"/></td>
    </tr>
    <tr>
      <td>Font Size:</td>
      <td><input type="number" name="btn_font_size" id="btn_font_size" value="<?php echo $settings['btn_font_size'];?>"/></td>
    </tr>
    <tr>
      <td>Font Family:</td>
      <td>
        <select name="wtd_change_font_name_btn" id="wtd_change_font_name_btn">
          <?php 
          foreach ($fontArray as $fontName){
          $parseFontName=  explode('.ttf', strtolower($fontName));
          if( $parseFontName[0] == $settings['btn_font_family'] )
          {
            $selected ='selected="selected"';
          }
          else
          {
            $selected ='';
          }
          ?>
          <option <?php echo $selected; ?> style="font-family:<?php echo $parseFontName[0];?>;" value="<?php echo $parseFontName[0];?>"><?php echo ucfirst($parseFontName[0]);?></option>
          <?php }?>
        </select>
      </td>
    </tr>
    <tr>
      <td>Padding Top:</td>
      <td><input type="number" name="btn_padding_top" id="btn_padding_top" value="<?php echo $settings['btn_padding_top'];?>"/></td>
    </tr>
    <tr>
      <td>Padding Bottom:</td>
      <td><input type="number" name="btn_padding_bottom" id="btn_padding_bottom" value="<?php echo $settings['btn_padding_bottom'];?>"/></td>
    </tr>
    <tr>
      <td>Padding Left:</td>
      <td><input type="number" name="btn_padding_left" id="btn_padding_left" value="<?php echo $settings['btn_padding_left'];?>"/></td>
    </tr>
    <tr>
      <td>Padding Right:</td>
      <td><input type="number" name="btn_padding_right" id="btn_padding_right" value="<?php echo $settings['btn_padding_right'];?>"/></td>
    </tr>
    <tr>
      <td>Text Color:</td>
      <td><input type="text" class="color" name="btn_text_color" id="btn_text_color" value="<?php echo $settings['btn_text_color'];?>"/></td>
    </tr>
    <tr>
      <td>Background Gradient Start Color(hover):</td>
      <td><input type="text" class="color" name="btn_start_color_hover" id="btn_start_color_hover" value="<?php echo $settings['btn_bg_color_start_hover'];?>"/></td>
    </tr>
    <tr>
      <td>Background Gradient End Color(hover):</td>
      <td><input type="text" class="color" name="btn_end_color_hover" id="btn_end_color_hover" value="<?php echo $settings['btn_bg_color_end_hover'];?>"/></td>
    </tr>
    <tr>
      <td>Border Color(hover):</td>
      <td><input type="text" class="color" name="btn_border_color_hover" id="btn_border_color_hover" value="<?php echo $settings['btn_border_color_hover'];?>"/></td>
    </tr>    
    <tr>
      <td>Text Color(hover):</td>
      <td><input type="text" class="color" name="btn_text_color_hover" id="btn_text_color_hover" value="<?php echo $settings['btn_text_color_hover'];?>"/></td>
    </tr>
  </table>
  <div class="wtd_admin_settings_panel">
    <div class="wtd_admin_settings_panel_text">Localizations</div>
  </div>
  <table class="wtd_tbl_localization_settings">
    <tr>
      <td>Choose Product:</td>
      <td><textarea name="text_choose_product" id="text_choose_product" ><?php echo html_entity_decode($settings['local_choose_product']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Text:</td>
      <td><textarea name="text_add_text" id="text_add_text"><?php echo html_entity_decode($settings['local_add_text']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Art:</td>
      <td><textarea name="text_add_art" id="text_add_art"><?php echo html_entity_decode($settings['local_add_art']);?></textarea></td>
    </tr>
    <tr>
      <td>Help:</td>
      <td><textarea name="text_help" id="text_help"><?php echo html_entity_decode($settings['local_help']);?></textarea></td>
    </tr>
    <tr>
      <td>Buy:</td>
      <td><textarea name="text_buy" id="text_buy"><?php echo html_entity_decode($settings['local_buy']);?></textarea></td>
    </tr>
    <tr>
      <td>Normal Text:</td>
      <td><textarea name="text_normal_text" id="text_normal_text" ><?php echo html_entity_decode($settings['local_normal_text']);?></textarea></td>
    </tr>
    <tr>
      <td>Curved Text:</td>
      <td><textarea name="text_curved_text" id="text_curved_text" ><?php echo html_entity_decode($settings['local_curved_text']);?></textarea></td>
    </tr>
    <tr>
      <td>Enter your text here:</td>
       <td><textarea name="textbox_placeholder" id="textbox_placeholder" ><?php echo html_entity_decode($settings['local_add_textbox_placeholder']);?></textarea></td>
    </tr>
    <tr>
      <td>General Settings:</td>
      <td><textarea name="text_general_settings" id="text_general_settings"><?php echo html_entity_decode($settings['local_general_settings']);?></textarea></td>
    </tr>
    <tr>
      <td>Change Font:</td>
       <td><textarea name="text_change_font" id="text_change_font"><?php echo html_entity_decode($settings['local_change_font']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Color:</td>
      <td><textarea name="text_color" id="text_color"><?php echo html_entity_decode($settings['local_text_color']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Align:</td>
      <td><textarea name="text_align" id="text_align"><?php echo html_entity_decode($settings['local_text_align']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Style:</td>
      <td><textarea name="text_style" id="text_style"><?php echo html_entity_decode($settings['local_text_style']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Move:</td>
      <td><textarea name="text_move" id="text_move"><?php echo html_entity_decode($settings['local_text_move']);?></textarea></td>
    </tr>
    <tr>
      <td>Move Front:</td>
      <td><textarea name="text_move_front" id="text_move_front"><?php echo html_entity_decode($settings['local_move_front']);?></textarea></td>
    </tr>
    <tr>
      <td>Move Back:</td>
      <td><textarea name="text_move_back" id="text_move_back"><?php echo html_entity_decode($settings['local_move_back']);?></textarea></td>
    </tr>
    <tr>
      <td>No art:</td>
      <td><textarea name="text_no_art" id="text_no_art"><?php echo html_entity_decode($settings['local_no_art']);?></textarea></td>
    </tr>
    <tr>
      <td>Image Move:</td>
      <td><textarea name="image_move" id="image_move"><?php echo html_entity_decode($settings['local_image_move']);?></textarea></td>
    </tr>
    <tr>
      <td>Curved Text Settings:</td>
      <td><textarea name="text_curved_text_settings" id="text_curved_text_settings"><?php echo html_entity_decode($settings['local_curved_text_settings']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Curved:</td>
      <td><textarea name="text_curved" id="text_curved"><?php echo html_entity_decode($settings['local_text_curved']);?></textarea></td>
    </tr>
    <tr>
      <td>Spacing:</td>
      <td><textarea name="text_spacing" id="text_spacing"><?php echo html_entity_decode($settings['local_spacing']);?></textarea></td>
    </tr>
    <tr>
      <td>Text Flip:</td>
      <td><textarea name="text_flip" id="text_flip"><?php echo html_entity_decode($settings['local_text_flip']);?></textarea></td>
    </tr>
    <tr>
      <td>Flip Top:</td>
      <td><textarea name="text_flip_top" id="text_flip_top"><?php echo html_entity_decode($settings['local_flip_top']);?></textarea></td>
    </tr>
    <tr>
      <td>Flip Bottom:</td>
      <td><textarea name="text_flip_bottom" id="text_flip_bottom"><?php echo html_entity_decode($settings['local_flip_bottom']);?></textarea></td>
    </tr>
    <tr>
      <td>Upload Your Image:</td>
      <td><textarea name="text_upload_image" id="text_upload_image"><?php echo html_entity_decode($settings['local_upload_your_image']);?></textarea></td>
    </tr>
    <tr>
      <td>Art Gallery:</td>
       <td><textarea name="art_gallery" id="art_gallery"><?php echo html_entity_decode($settings['local_art_gallery']);?></textarea></td>
    </tr>
    <tr>
      <td>Choose product options:</td>
      <td><textarea name="product_options" id="product_options"><?php echo html_entity_decode($settings['local_product_options']);?></textarea></td>
    </tr>
    <tr>
      <td>Buy product:</td>
      <td><textarea name="buy_product" id="buy_product"><?php echo html_entity_decode($settings['local_buy_product']);?></textarea></td>
    </tr>
    <tr>
      <td>Quantity:</td>
      <td><textarea name="quantity" id="quantity"><?php echo html_entity_decode($settings['local_Qty']);?></textarea></td>
    </tr>
    <tr>
      <td>Preview:</td>
      <td><textarea name="preview" id="preview"><?php echo html_entity_decode($settings['local_preview']);?></textarea></td>
    </tr>
    <tr>
      <td>Front:</td>
      <td><textarea name="front" id="front"><?php echo html_entity_decode($settings['local_front']);?></textarea></td>
    </tr>
    <tr>
      <td>Back:</td>
      <td><textarea name="back" id="back"><?php echo html_entity_decode($settings['local_back']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Text Error:</td>
      <td><textarea name="add_text_error" id="add_text_error"><?php echo html_entity_decode($settings['local_add_text_error']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Text Error Message:</td>
      <td><textarea name="add_text_error_msg" id="add_text_error_msg"><?php echo html_entity_decode($settings['local_add_text_error_msg']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Curved Text Error Message:</td>
      <td><textarea name="add_curved_text_error_msg" id="add_curved_text_error_msg"><?php echo html_entity_decode($settings['local_add_curved_text_error_msg']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Product Options Error:</td>
      <td><textarea name="add_product_options_error" id="add_product_options_error"><?php echo html_entity_decode($settings['local_add_product_options_error']);?></textarea></td>
    </tr>
    <tr>
      <td>Add Product Options Error Message:</td>
      <td><textarea name="add_product_options_msg" id="add_product_options_msg"><?php echo html_entity_decode($settings['local_add_product_options_error_msg']);?></textarea></td>
    </tr>
    <tr>
      <td>View Cart:</td>
      <td><textarea name="view_cart" id="view_cart"><?php echo html_entity_decode($settings['local_view_cart']);?></textarea></td>
    </tr>
    <tr>
      <td>Successful Message:</td>
      <td><textarea name="successful_msg" id="successful_msg"><?php echo html_entity_decode($settings['local_cart_success_msg']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text Next:</td>
      <td><textarea name="btn_text_next" id="btn_text_next"><?php echo html_entity_decode($settings['local_text_next']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text Update:</td>
      <td><textarea name="btn_text_update" id="btn_text_update"><?php echo html_entity_decode($settings['local_text_update']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text Delete:</td>
      <td><textarea name="btn_text_delete" id="btn_text_delete"><?php echo html_entity_decode($settings['local_text_delete']);?></textarea></td>
    </tr>
    <tr>
      <td>Button New Text:</td>
      <td><textarea name="btn_new_text" id="btn_new_text"><?php echo html_entity_decode($settings['local_new_text']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text Upload:</td>
      <td><textarea name="btn_text_upload" id="btn_text_upload"><?php echo html_entity_decode($settings['local_text_upload']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text New Art:</td>
      <td><textarea name="btn_text_new_art" id="btn_text_new_art"><?php echo html_entity_decode($settings['local_text_new_art']);?></textarea></td>
    </tr>
    <tr>
      <td>Button Text Add To Cart:</td>
      <td><textarea name="btn_text_add_to_cart" id="btn_text_add_to_cart"><?php echo html_entity_decode($settings['local_text_add_to_cart']);?></textarea></td>
    </tr>
  </table>
  <div class="wtd_admin_help_text">Enter help text</div>
  <div class="wtd_admin_help_content">
  <?php 
  $args = array(
      'textarea_rows' => 12,
      'teeny' => true,
      'quicktags' => true,
      'media_buttons' => false
  );
  wp_editor( html_entity_decode( $settings['help_text'] ), 'wtd_editor', $args );
  ?>  
  </div>
  <div class="wtd_cost_text">Enter customization cost text</div>
  <div class="wtd_cost_text_textarea">
    <textarea rows="2" cols="69" id="wtd_cost_textarea" name="wtd_cost_textarea"><?php echo $settings['cost_text']?></textarea>
  </div>
  <div class="wtd_global_settings_button">
    <input class="button-primary" type="submit" name="global_settings" id="global_settings" value="Settings Change"/>
  </div>
</form>
<?php
}
?>