<?php 
require_once('../../../../wp-load.php');
//header('HTTP/1.1 200 OK');

if(isset($_REQUEST['type']) && $_REQUEST['type'] === 'wtd_remove_selected_art')
{
  global $wpdb;
  $table = $wpdb->prefix."wtd_art_list";
  if ( $wpdb->delete($table, array( 'id' =>$_REQUEST['id']), array( '%d' )) )
  {
    echo 'deleted';
  }
}

if(isset($_REQUEST['type']) && $_REQUEST['type'] === 'wtd_get_variations_by_product_id')
{
  $settings = get_option( 'wtd_settings_data' );
  $get_variations_data = get_post_meta( $_REQUEST['id'],'_product_attributes',true);
  
	$variations_data_array = array();
  $str_array = array();	
	$attr_name = '';
	$attr_value = '';
  $str = '';
  $product_price = get_post_meta( $_REQUEST['id'], '_price', TRUE );
  $get_custom_price = get_post_meta( $_REQUEST['id'], '_wtd_custom_design_extra_price', TRUE );
  
  if( $get_variations_data )
  {
    foreach( $get_variations_data as $attr ) 
    {
      $attr_name = $attr['name'];
      $attr_value = $attr['value'];
      $data = new stdClass();
      $data->names = $attr_name;
      $data->values_attr = $attr_value;
      $variations_data_array[] = $data;
    }
  }
	
  if( $get_variations_data )
  {
    $i=0;
    $str .= '<div class="wtd_text_products_variations">'. $settings['local_product_options'] .'</div>';
    $str .= '<div class="wtd_all_variation" style="width:100%;height:180px; overflow:auto;font-size:12px;padding:5px;">';
    foreach( $variations_data_array as $data )
    {
      $str .= '<div style="height:35px;">';
      $str .= '<div class="wtd_attr_name" id="attr_name_'. $i .'" style="display:inline-block;width:50%;">'. $data->names .'</div>';
      
      $att_values = $data->values_attr;
      $search_char = strpos( $att_values,'|' );
      
      if( $search_char )
      {
        $parse_search = explode( '|',$att_values );
        $str .= '<div id="attr_value_'. $i .'" style="display:inline-block;width:50%;">';
        $str .= '<select class="wtd_variation" onchange="wtd_set_variations_price(this);" id="variation_'. $i .'" style="height:23px;font-size:12px;width:120px;border:1px solid #'.$settings['content_text_border_color'].'">';
        $str .= '<option value="-1">--Select--</option>';
        foreach( $parse_search as $rows )
        {
          $str .= '<option value="'.trim($rows,' ').'">'. $rows .'</option>';
        }
        $str .= '</select>';
        $str .= '</div>';
      }
      else
      {
        $str .= '<div id="attr_value_'. $i .'" style="display:inline-block;width:50%;">';
        $str .= '<select class="wtd_variation" onchange="wtd_set_variations_price(this);" id="variation_'. $i .'" style="height:23px;font-size:12px;width:120px;border:1px solid #'.$settings['content_text_border_color'].'">';
        $str .= '<option value="-1">--Select--</option>';
        $str .= '<option value="'. trim($att_values,' ') .'">'. $att_values .'</option>';
        $str .= '</select>';
        $str .= '</div>';
      }
      $str .= '</div>';
      $i++;
    }
    $str .= '</div>';
  }
  $dataObj = new stdClass();
  $dataObj->str = $str;
  if( $str )
  {
    $dataObj->price = $get_custom_price;
  }
  else
  {
    $dataObj->price = $product_price + $get_custom_price;
  }
  
  $str_array[] = $dataObj;
  echo json_encode( $str_array );
}

if(isset($_REQUEST['type']) && $_REQUEST['type'] === 'wtd_get_variations_price_by_id')
{
  getVariationsPrice( $_REQUEST['strAttrName'], $_REQUEST['strAttrVal'], $_REQUEST['id'], 'variation'); 
}

if(isset($_REQUEST['type']) && $_REQUEST['type'] === 'wtd_add_to_cart')
{
  global $wpdb,$woocommerce;
  
  $final_product_id = '';
  $final_custom_variations_id = '';
  $finalImgUrl = '';
  $uIds = uniqid().rand(0,10);
  $upload_dir = wtd_get_upload_dir();
  $path = $upload_dir['path'].'/';
  $url = $upload_dir['url'].'/';
  $img_str = '';
  $price = 0;
  
  $customScreenShot = $_REQUEST['wtd_design_data']['customData'];
    
  if( $customScreenShot )
  {
    foreach ( $customScreenShot as $key=>$screenshot )
    {
      $img_name = time().uniqid().rand(0,10);
      $decodedImageData = base64_decode( str_replace( 'data:image/png;base64,', '', $screenshot['screenshot'] ) );

      if( file_put_contents( $path . $img_name . ".png", $decodedImageData ) )
      {
        $finalImgUrl = str_replace( $upload_dir['baseurl'],'',$url. $img_name. ".png" );
        $img_str .= $finalImgUrl .',';
      }
    }
  }
  
  //custom variation
  $sqls="select id from ".$wpdb->prefix."posts where post_parent='".$_REQUEST['wtd_design_data']['productID']."' and post_title='wtd_custom_variation'";
  $get_id=$wpdb->get_row($sqls);

  if( empty( $get_id ) )
  {
    $post_data=array(
                    'post_author'=>1,
                    'post_status'=>'publish',
                    'post_name'=>'product-'.$_REQUEST['wtd_design_data']['productID'].'-variation',
                    'post_parent'=>$_REQUEST['wtd_design_data']['productID'],
                    'post_title'=>'wtd_custom_variation', 
                    'post_type'=>'product_variation'
    );
    $post_id = wp_insert_post( $post_data );
    update_post_meta( $post_id, '_price', $_REQUEST['wtd_design_data']['price']);
    update_post_meta( $post_id, 'attribute_scwtd-variation', 'scwtd-variation' );
    $final_product_id = $_REQUEST['wtd_design_data']['productID'];
    $final_custom_variations_id = $post_id;
  }
  else
  {
    $final_product_id = $_REQUEST['wtd_design_data']['productID'];
    $final_custom_variations_id = $get_id->id;
    update_post_meta( $final_custom_variations_id, '_price', $_REQUEST['wtd_design_data']['price'] );
    update_post_meta( $final_custom_variations_id, 'attribute_scwtd-variation', 'scwtd-variation' );
  }
  
  $price = getVariationsPrice( $_REQUEST['wtd_design_data']['attrName'], $_REQUEST['wtd_design_data']['attrValue'], $_REQUEST['wtd_design_data']['productID'], 'add_to_cart' );
  
  //add to cart
  $arr = array();
  $arr['type'] = 'custom';
  $arr['design'] = 'custom-type_' . $uIds;
  $arr['wtd_type'] = 'wtd_custom';
  $arr['wtd_custom_price'] = $price;
  $arr['wtd_custom_logo'] = $_REQUEST['wtd_design_data']['logo'];
  $arr['wtd_custom_design'] = trim($img_str,',');
  
  if( isset($_REQUEST['wtd_design_data']['attrName']) && isset($_REQUEST['wtd_design_data']['attrValue']) )
  {
    $attr_data = explode( ',', $_REQUEST['wtd_design_data']['attrName'] );	
    $attr_val =  explode( ',', $_REQUEST['wtd_design_data']['attrValue'] );

    foreach( $attr_data as $key => $value )
    {
      $arr[$value] = $attr_val[$key];
    }
  }
  if($woocommerce->cart->add_to_cart( $final_product_id, $_REQUEST['wtd_design_data']['qty'], $final_custom_variations_id, $arr, null ) )
  {
    echo 'cart_updated';
    if(!isset($_SESSION['wtd_cart_id']))
    {
      $_SESSION['wtd_cart_id'] = $uIds;
    }
  }
}

if(isset($_REQUEST['svg_data']) && $_REQUEST['svg_data'])
{
  $uIds = '';
  
  if(isset($_SESSION['wtd_cart_id']))
  {
    $uIds = $_SESSION['wtd_cart_id'];
  }
  
  $getSVGData = $_REQUEST['svg_data'];
  
  if (!file_exists(WTD_DIR_PATH. "svg-output/" . $uIds)) 
  {
    mkdir(WTD_DIR_PATH. "svg-output/" . $uIds, 0777, true);
  }
  
  if($getSVGData)
  {
    foreach ($getSVGData as $data)
    {
      $newID = uniqid().rand(0,10);
      
      if (!file_exists(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID))
      {
        mkdir(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID, 0777, true);
      }
      $img_name = time().uniqid().rand(0,10);
      
      $content = stripslashes( $data );
      $fp = fopen(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID ."/". $newID .".svg","wb") or die("Unable to open file!");
      fwrite($fp, $content);
      
      $xdoc = new DOMDocument();
      $xdoc->load( WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID ."/". $newID .".svg" );
      $imgCount = $xdoc->getelementsbytagname('image');
      
      if($imgCount)
      {
        if($imgCount->length>0)
        {
          for($i = 0; $i< $imgCount->length; $i++)
          {
            $tagname = $xdoc->getelementsbytagname('image')->item($i);
            $attribNode = $tagname->getAttributeNode('xlink:href');
            $img_content = file_get_contents( $attribNode->value );
            $fp = fopen(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID ."/".  basename($attribNode->value),"wb") or die("Unable to open file!");
            fwrite($fp, $img_content);

            $tagname->setAttributeNS('http://www.w3.org/1999/xlink', 'xlink:href', basename($attribNode->value));
            $newFileContent = $xdoc->saveXML();
            $fp = fopen(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID ."/". $newID .".svg","wb") or die("Unable to open file!");
            fwrite($fp, $newFileContent);
          }
        }
      }
     
      $textCount = $xdoc->getelementsbytagname('text');
      
      if($textCount)
      {
        if($textCount->length>0)
        {
          for($j = 0; $j<$textCount->length; $j++)
          {
            $tagnameText = $xdoc->getelementsbytagname('text')->item($j);
            $attribNodeText = $tagnameText->getAttributeNode('font-family');
            if($attribNodeText)
            {
              if($attribNodeText->value)
              {
                $fontName = str_replace( array( '\'', '"', ',' , ';', '<', '>' ), '', $attribNodeText->value);
                $content_font = file_get_contents( WTD_DIR_PATH. "fonts/". ucfirst($fontName). ".ttf");
                $fp = fopen(WTD_DIR_PATH. "svg-output/" . $uIds.'/'.$newID ."/". $fontName. ".ttf","wb") or die("Unable to open file!");
                fwrite($fp, $content_font);
              }
            }
          }
        }
      }
      fclose($fp);
    }
  }
  
  $the_folder = WTD_DIR_PATH. "svg-output/" . $uIds;
  $zip_file_name = WTD_DIR_PATH. "svg-output/" . $uIds . '.zip';
  $za = new FlxZipArchive;

  $res = $za->open($zip_file_name, ZipArchive::CREATE);

  if($res === TRUE) 
  {
    $za->addDir($the_folder, basename($the_folder));
    $za->close();
    //recurseRmdir( $the_folder );
  }
  
  if(isset($_SESSION['wtd_cart_id']))
  {
    unset($_SESSION['wtd_cart_id']);
  }
  
  echo 'svg_added';
}


if(isset($_REQUEST['type']) && $_REQUEST['type'] === 'wtd_get_order_item')
{
  global $wpdb;
  $str = '';
  $upload_dir = wtd_get_upload_dir();
  $dirs_name = '';
  
  $order_item_query_design = "SELECT * FROM ". $wpdb->prefix ."woocommerce_order_itemmeta WHERE order_item_id = ". $_REQUEST['wtd_order_item_query']['id'] ." AND meta_key = '". $_REQUEST['wtd_order_item_query']['designKey'] ."'";
  $sql_design = $wpdb->get_row( $order_item_query_design );
  
  $order_item_query_uid = "SELECT * FROM ". $wpdb->prefix ."woocommerce_order_itemmeta WHERE order_item_id = ". $_REQUEST['wtd_order_item_query']['id'] ." AND meta_key = 'design'";
  $sql_uid = $wpdb->get_row( $order_item_query_uid );
  $get_id = explode('_', $sql_uid->meta_value);
  
  if( $sql_design )
  {
    $str .= '<div style="width:100%;text-align:center;margin-top:20px;">';
    
    if( file_exists(WTD_DIR_PATH. "svg-output/".$get_id[1]) )
    {
      $directories = glob(WTD_DIR_PATH. "svg-output/".$get_id[1].'/*', GLOB_ONLYDIR);
      foreach ($directories as $dir_name)
      {
        $dirs_name .= str_replace( WTD_DIR_PATH. "svg-output/".$get_id[1].'/', '', $dir_name ).',';
      }
    }
    
    if($dirs_name)
    {
      $parsedata = explode(',', trim($dirs_name, ','));
      
      if(isset($parsedata[0]) && $parsedata[0])
      {
        $str .= '<div class="first" align="middle"><object id="first_1" type="image/svg+xml" data="'. WTD_URL .'/svg-output/'. $get_id[1] .'/'. $parsedata[0] .'/'. $parsedata[0] .'.svg"></object></div>';
      }
      
      if(isset($parsedata[1]) && $parsedata[1])
      {
        $str .= '<div style="display:none;" class="second" align="middle"><object id="second_1" type="image/svg+xml" data="'. WTD_URL .'/svg-output/'. $get_id[1] .'/'. $parsedata[1] .'/'. $parsedata[1] .'.svg"></object></div>';
      }
    }
    
    $str .= '</div>';
    
    if(count($parsedata) == 2)
    {
      $str .= '<div class="img_control"><a id="previous" href="javascript:void(0);">Previous</a>&nbsp;|&nbsp;<a id="next" href="javascript:void(0);">Next</a></div>';
    }
    
    $str .= '<div id="img_button" style="width:100%;text-align:center;padding-top:15px;">';
    $str .= '<div style="display:inline-block;"><input id="wtd_design_button" type="button" style="cursor:pointer;" value="Print Custom Image"  onclick="wtdPrint(this);" /></div>';
    if($sql_uid->meta_value)
    {
      $str .= '<div id="svg_download" style="display:inline-block;margin-left:5px;vertical-align: top;"><a href="'.WTD_URL.'/svg-output/'.$get_id[1].'.zip" download>SVG</a></div>';
    }
    
    if ( wtd_get_logo_img() )
    {
      $str .= '<div style="display:inline-block;margin-left:5px;"><input id="wtd_logo_button" type="button" style="cursor:pointer;" value="Print Logo"  onclick="wtdPrint(this);" /></div>';
    }
    $str .= '</div>';
    
    $str .= '<a id="wtd_design" href="'. WTD_URL .'/includes/tshirt-designer-print.php?type=wtd_custom_design&uid='. $get_id[1] .'"></a>';
    $str .= '<a id="wtd_logo" href="'. WTD_URL .'/includes/tshirt-designer-print.php?type=wtd_custom_logo&order_item_id='. $_REQUEST['wtd_order_item_query']['id'] .'"></a>';
?>
<script type="text/javascript">
  jQuery(document).ready(function()
  {
    jQuery('.img_control a').click(function()
    {
      if(jQuery(this).attr('id') == 'previous')
      {
        jQuery('.first').show();
        jQuery('.second').hide();
      }
      else if(jQuery(this).attr('id') == 'next')
      {
        jQuery('.second').show();
        jQuery('.first').hide();
      }
    });
  });
  function wtdPrint(obj) 
  {
    if(obj.id == 'wtd_design_button')
    {
      window.open(document.getElementById("wtd_design").href,"_blank");
    }
    else if(obj.id == 'wtd_logo_button')
    {
      window.open(document.getElementById("wtd_logo").href,"_blank");
    }
  }
</script> 
<style type="text/css">
  #svg_download a
  {
    text-decoration:none;
    color: #FFFFFF;
    line-height:2;
  }
  #svg_download
  {
    width:80px;
    background-color: #0091CD;
  }
  #img_button input[type="button"]
  {
    background: #0091CD none repeat scroll 0 0;
    border-color: #829237;
    box-shadow: 0 1px 0 #bfcd7b inset, 0 1px 0 rgba(0, 0, 0, 0.15);
    color: #fff;
    border-radius: 3px;
    border-style: solid;
    border-width: 1px;
    box-sizing: border-box;
    font-size: 13px;
    height: 28px;
    line-height: 26px;
    margin: 0;
    padding: 0 10px 1px;
    text-decoration: none;
    white-space: nowrap;
  }
  .img_control a
  {
    display:inline-block;
    text-decoration: none;
    color:#0099FF;
  }
  .img_control
  {
    text-align: center;
    margin-top:15px;
  }
  .img_control a:focus
  {
    box-shadow: none !important;  
  }
</style>
<?php 
  }
 else 
  {
    $str = '<div style="width:100%;text-align:center;font-weight:bold;color:red;margin-top:100px;font-size:1.2em;">There was no custom design data !!</div>';
  }
  echo $str;
}

function wtd_get_logo_img()
{
  global $wpdb;
  
  $order_item_query_logo = "SELECT * FROM ". $wpdb->prefix ."woocommerce_order_itemmeta WHERE order_item_id = ". $_REQUEST['wtd_order_item_query']['id'] ." AND meta_key = '". $_REQUEST['wtd_order_item_query']['logoKey'] ."'";
  $sql_logo = $wpdb->get_row( $order_item_query_logo );
  if( $sql_logo->meta_value )
  {
    return TRUE;
  }
  else
  {
    return FALSE;
  }
}

function getVariationsPrice( $variationAttName, $variationAttVal, $id, $type )
{
  $attrNameArray = array();
  $requestAttrVal = array();
  $nstr_array = array();
  $price = 0;
  $parseRequestAttrVal2 = '';
  $attrValNoMatch = 'no_match';
   
  $attrNameArray = explode( ',', strtolower( $variationAttName ));
  $parseRequestAttrVal = explode( ',', $variationAttVal );
  
  if( $parseRequestAttrVal )
  {
    foreach ( $parseRequestAttrVal as $vals )
    {
      $parseRequestAttrVal2 .= sanitize_title( $vals ) . ',';
    }
  }
  
  $requestAttrVal = explode( ',', strtolower(trim($parseRequestAttrVal2,',')) );
  
  $args = array(
               'post_type'     => 'product_variation',
               'post_status'   => array( 'private', 'publish' ),
               'numberposts'   => -1,
               'orderby'       => 'menu_order',
               'order'         => 'asc',
               'post_parent'   => $id
  );
  $variations = get_posts( $args ); 
  
  if( $variations )
  {
    foreach ( $variations as $variation ) 
    { 
      $attrVal = array();
      $attrVals = '';
      $variation_price = 0;
      $variation_data = get_post_meta( $variation->ID );
      
      if( $attrNameArray )
      {
        foreach ( $attrNameArray as $attr )
        {
          $name = sanitize_title($attr);
          if( array_key_exists( 'attribute_' . $name , $variation_data ))
          {
            $attrVals .= $variation_data['attribute_' . $name][0] .',';
          }
        }
      }
      
      if( trim($attrVals,',') )
      {
        $attrVal = explode(',', strtolower(trim($attrVals,',')));
        if( !array_diff( $requestAttrVal, $attrVal ) && !array_diff( $attrVal, $requestAttrVal ))
        {
          $attrValNoMatch ='';
          $variation_price = $variation_data['_price'][0];
          break;
        }
//        else
//        {
//          if( in_array(trim($attrVals,','), $requestAttrVal) )
//          {
//            $variation_price = $variation_data['_price'][0];
//            break;
//          }
//        }
      }
    }
  }
  
  $get_custom_price = get_post_meta( $id, '_wtd_custom_design_extra_price', TRUE );
  if( $variation_price >0 && $variations )
  {
    $price = $variation_price + $get_custom_price; 
  }
  else
  {
    $product_price = get_post_meta( $id, '_price', TRUE );
    $price = $get_custom_price + $product_price;
  }
  
  $nDataObj = new stdClass();
  $nDataObj->price = $price;
  $nDataObj->match_status = $attrValNoMatch;

  $nstr_array[] = $nDataObj;
  
  if( $type == 'variation' )
  {
    echo json_encode( $nstr_array );
  }
  elseif( $type == 'add_to_cart' )
  {
    return $price;
  }
}

function recurseRmdir($directory, $empty=FALSE) 
{
 if(substr($directory,-1) == '/')
 {
     $directory = substr($directory,0,-1);
 }
 if(!file_exists($directory) || !is_dir($directory))
 {
     return FALSE;
 }
 elseif(is_readable($directory))
 {
    $handle = opendir($directory);
     while (FALSE !== ($item = readdir($handle)))
     {
         if($item != '.' && $item != '..')
         {
             $path = $directory.'/'.$item;
             if(is_dir($path)) 
             {
                 recurseRmdir($path);
             }else{
                 unlink($path);
             }
         }
     }
     closedir($handle);
     if($empty == FALSE)
     {
         if(!rmdir($directory))
         {
             return FALSE;
         }
     }
 }
 return TRUE;
}
?>