<?php
require_once('../../../../wp-load.php');
//header('HTTP/1.1 200 OK');
get_header();

if( $_GET['type'] === 'wtd_sc_designer' && isset( $_GET['wtd_id'] ))
{
  global $woocommerce;
  $sql_products = "SELECT ".$wpdb->prefix."postmeta.post_id FROM ".$wpdb->prefix."postmeta INNER JOIN ".$wpdb->prefix."posts ON ".$wpdb->prefix."postmeta.post_id = ".$wpdb->prefix."posts.ID WHERE ".$wpdb->prefix."postmeta.meta_key = '_wtd_custom_design_checkbox' AND ".$wpdb->prefix."postmeta.meta_value = 'on' AND ".$wpdb->prefix."posts.post_status = 'publish' ORDER BY ".$wpdb->prefix."postmeta.post_id ASC";
  $get_products = $wpdb->get_results( $sql_products );
  
  $sql_art = "SELECT * FROM ".$wpdb->prefix."wtd_art_list";
  $get_art = $wpdb->get_results( $sql_art );
  
  if( isset($_REQUEST['wtd_id']) )
  {
    $prod_current_price = get_post_meta( $_REQUEST['wtd_id'],'_price',true );
    $prod_custom_price  = get_post_meta( $_REQUEST['wtd_id'],'_wtd_custom_design_extra_price',true );
    $product_name       = get_the_title( $_REQUEST['wtd_id'] );
    
    if($prod_current_price)
    {
        $product_price=$prod_current_price;
    }
    else
    {
        $product_price=0;
    }

    if($prod_custom_price)
    {
        $product_custom_price=$prod_custom_price;
    }
    else
    {
        $product_custom_price=0;
    }
  }
  $upload_url = wtd_get_upload_dir();
  $firstSelectedFrontImage;
  $firstSelectedBackImage;
  
  //load fonts
  $dir = WTD_DIR_PATH.'fonts/';
  $fontArray=array();
  $strFont='';
  $i=0;
  if (is_dir($dir)) 
  {
    if ($dh = opendir($dir)) 
    {
      while (($file = readdir($dh)) !== false) 
      {
        if (!in_array($file, array('.', '..')))
        {
          $fontArray[$i]= $file;
          $parseExtraFont=  explode('.ttf', strtolower($file));
          $strFont .=$parseExtraFont[0] .',';
          $i++;
        }
      }
      closedir($dh);
    }
  }
  $settings = get_option( 'wtd_settings_data' );
  $cart_url = $woocommerce->cart->get_cart_url();
?>
<style type="text/css">
  button, input, select, textarea
  {
    padding: 0px !important;
    margin: 0px !important;
  }
  <?php foreach ($fontArray as $file){ $parseFont=  explode('.ttf', strtolower($file));?>
  @font-face 
  {
      font-family:<?php echo $parseFont[0];?>; src: url('<?php echo WTD_URL;?>/fonts/<?php echo $file?>');
  }
  <?php }?>
  .wtd_design_control_panel
  {
    float:left;
    width:430px;
    height:540px;
    border-radius:4px;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#<?php echo $settings['bg_color_start'];?>), to(#<?php echo $settings['bg_color_end'];?>)); /* Safari 5.1, Chrome 10+ */ background: -webkit-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Firefox 3.6+ */ background: -moz-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* IE 10 */ background: -ms-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Opera 11.10+ */ background: -o-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>);
  }
  .wtd_design_object_panel
  {
    float:left;
    width:500px;
    height:540px;
    margin-left:2px;
    border-radius:4px;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#<?php echo $settings['bg_color_start'];?>), to(#<?php echo $settings['bg_color_end'];?>)); /* Safari 5.1, Chrome 10+ */ background: -webkit-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Firefox 3.6+ */ background: -moz-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* IE 10 */ background: -ms-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Opera 11.10+ */ background: -o-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>);
  }
  .wtd_top_control_content_div
  {
    width:426px;
    height:478px;
    margin: 0px auto;
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#<?php echo $settings['content_color_start'];?>), to(#<?php echo $settings['content_color_end'];?>)); /* Safari 5.1, Chrome 10+ */ background: -webkit-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* Firefox 3.6+ */ background: -moz-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* IE 10 */ background: -ms-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* Opera 11.10+ */ background: -o-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>);
    color:#<?php echo $settings['content_text_color'];?>!important;
    overflow: auto;
  }
  .wtd_top_panel_control_text_product
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_top_panel_control_add_text
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_top_panel_control_add_art_text
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_top_panel_control_add_name_text
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_bottom_panel_control_add_to_cart
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_control_panel_border
  {
    border-right:2px solid #<?php echo $settings['menu_border_color'];?>;
  }
  .wtd_selected_product
  {
    background-color:#<?php echo $settings['product_selected_color'];?>;
  }
  .wtd_upload_art_panel input[type="file"]
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
  }
  .wtd_textarea textarea
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
    border:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_change_font_select select
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
    border:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_change_color_text_box input[type="text"]
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
    border:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_variations_panel select
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
  }
  .wtd_qty_n_add_to_cart_panel input[type="number"]
  {
    color:#<?php echo $settings['content_text_color'];?>!important;
    border:1px solid #<?php echo $settings['content_text_border_color'];?>!important;
  }
  .wtd_text_settings,.wtd_curved_text_settings,.wtd_upload_title,.wtd_uploaded_title,.wtd_text_products_variations,.wtd_add_to_cart_title
  {
    border-bottom:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_move_title
  {
    border-bottom:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_change_radius_range input[type="range"]
  {
    border:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_change_spacing_range input[type="range"]
  {
     border:1px solid #<?php echo $settings['content_text_border_color'];?>;
  }
  .wtd_button_style
  {
    border:1px solid #<?php echo $settings['btn_border_color'];?> !important; -webkit-border-radius:<?php echo $settings['btn_border_radius'];?>px !important; -moz-border-radius:<?php echo $settings['btn_border_radius'];?>px !important;border-radius:<?php echo $settings['btn_border_radius'];?>px !important;font-size:<?php echo $settings['btn_font_size'];?>px !important;font-family:<?php echo $settings['btn_font_family'];?>!important; padding:<?php echo $settings['btn_padding_top'];?>px <?php echo $settings['btn_padding_right'];?>px <?php echo $settings['btn_padding_bottom'];?>px <?php echo $settings['btn_padding_left'];?>px !important; text-decoration:none !important; display:inline-block !important;font-weight:bold !important; color:#<?php echo $settings['btn_text_color'];?> !important;
    background-color: #<?php echo $settings['btn_bg_color_start'];?> !important; background-image: -webkit-gradient(linear, left top, left bottom, from(#<?php echo $settings['btn_bg_color_start'];?>), to(#<?php echo $settings['btn_bg_color_end'];?>)) !important;
    background-image: -webkit-linear-gradient(top, #<?php echo $settings['btn_bg_color_start'];?>, #<?php echo $settings['btn_bg_color_end'];?>) !important;
    background-image: -moz-linear-gradient(top, #<?php echo $settings['btn_bg_color_start'];?>, #<?php echo $settings['btn_bg_color_end'];?>) !important;
    background-image: -ms-linear-gradient(top, #<?php echo $settings['btn_bg_color_start'];?>, #<?php echo $settings['btn_bg_color_end'];?>) !important;
    background-image: -o-linear-gradient(top, #<?php echo $settings['btn_bg_color_start'];?>, #<?php echo $settings['btn_bg_color_end'];?>) !important;
    background-image: linear-gradient(to bottom, #<?php echo $settings['btn_bg_color_start'];?>, #<?php echo $settings['btn_bg_color_end'];?>) !important;filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#<?php echo $settings['btn_bg_color_start'];?>, endColorstr=#<?php echo $settings['btn_bg_color_end'];?>) !important;
  }
  .wtd_button_style:hover
  {
     border:1px solid #<?php echo $settings['btn_border_color_hover'];?> !important;
     background-color: #<?php echo $settings['btn_bg_color_start_hover'];?> !important; background-image: -webkit-gradient(linear, left top, left bottom, from(#<?php echo $settings['btn_bg_color_start_hover'];?>), to(#<?php echo $settings['btn_bg_color_end_hover'];?>));
     background-image: -webkit-linear-gradient(top, #<?php echo $settings['btn_bg_color_start_hover'];?>, #<?php echo $settings['btn_bg_color_end_hover'];?>) !important;
     background-image: -moz-linear-gradient(top, #<?php echo $settings['btn_bg_color_start_hover'];?>, #<?php echo $settings['btn_bg_color_end_hover'];?>) !important;
     background-image: -ms-linear-gradient(top, #<?php echo $settings['btn_bg_color_start_hover'];?>, #<?php echo $settings['btn_bg_color_end_hover'];?>) !important;
     background-image: -o-linear-gradient(top, #<?php echo $settings['btn_bg_color_start_hover'];?>, #<?php echo $settings['btn_bg_color_end_hover'];?>) !important;
     background-image: linear-gradient(to bottom, #<?php echo $settings['btn_bg_color_start_hover'];?>, #<?php echo $settings['btn_bg_color_end_hover'];?>) !important;filter:progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#<?php echo $settings['btn_bg_color_start_hover'];?>, endColorstr=#<?php echo $settings['btn_bg_color_end_hover'];?>)!important;color:#<?php echo $settings['btn_text_color_hover'];?>!important; 
  }
  .wtd_no_text_msg
  {
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#<?php echo $settings['bg_color_start'];?>), to(#<?php echo $settings['bg_color_end'];?>)); /* Safari 5.1, Chrome 10+ */ background: -webkit-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Firefox 3.6+ */ background: -moz-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* IE 10 */ background: -ms-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>); /* Opera 11.10+ */ background: -o-linear-gradient(top, #<?php echo $settings['bg_color_start'];?>, #<?php echo $settings['bg_color_end'];?>);
  }
  .wtd_no_text_msg_content
  {
    background: -webkit-gradient(linear, 0% 0%, 0% 100%, from(#<?php echo $settings['content_color_start'];?>), to(#<?php echo $settings['content_color_end'];?>)); /* Safari 5.1, Chrome 10+ */ background: -webkit-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* Firefox 3.6+ */ background: -moz-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* IE 10 */ background: -ms-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>); /* Opera 11.10+ */ background: -o-linear-gradient(top, #<?php echo $settings['content_color_start'];?>, #<?php echo $settings['content_color_end'];?>);
  }
  .wtd_no_text_title
  {
    color:#<?php echo $settings['menu_default_text_color'];?>;
  }
  .wtd_no_text_msg_content
  {
    color:#<?php echo $settings['menu_selected_text_color'];?>;
  }
  .wtd_art_selected_bg
  {
    background-color:#<?php echo $settings['product_selected_color'];?>;
  }
</style>
<div class="wtd_design_panel_main">
  <div class="wtd_design_control_panel">
    <div class="wtd_top_control_div">
      <div id="wtd_products_list" class="wtd_products_list"><div class="wtd_div_left_list_product"><div class="wtd_products_list_icon"></div><div class="wtd_top_panel_control_text_product"><?php echo $settings['local_choose_product'];?></div></div><div class="wtd_control_panel_border"></div><div class="clear_both"></div></div>
      <div id="wtd_add_new_text" class="wtd_add_new_text"><div class="wtd_div_left"><div class="wtd_add_new_text_icon"></div><div class="wtd_top_panel_control_add_text"><?php echo $settings['local_add_text'];?></div></div><div class="wtd_control_panel_border"></div><div class="clear_both"></div></div>
      <div id="wtd_add_new_art" class="wtd_add_new_art"><div class="wtd_div_left"><div class="wtd_add_new_art_icon"></div><div class="wtd_top_panel_control_add_art_text"><?php echo $settings['local_add_art'];?></div></div><div class="wtd_control_panel_border"></div><div class="clear_both"></div></div>
      <div id="wtd_add_name_number" class="wtd_add_name_number"><div class="wtd_add_name_number_icon"></div><div class="wtd_top_panel_control_add_name_text"><?php echo $settings['local_help'];?></div></div>
    </div>
    <div class="clear_both"></div>
    <div class="wtd_top_control_content_div">
      <div class="wtd_product_list_in_content">
        <?php  
          $count=0;
          if( sizeof( $get_products ) >0 )
          {
            foreach( $get_products as $rowIds )
            {
              $get_thum_id = esc_html( get_post_meta($rowIds->post_id,'_thumbnail_id', true ));
              $get_post_by_id = get_post( $get_thum_id );
              $get_front_image = $get_post_by_id->guid;
              
              $get_back_side_image = esc_html( get_post_meta($rowIds->post_id,'_wtd_custom_back_image', true ));
              
              if( $get_front_image || $get_back_side_image)
              {
                if($get_back_side_image)
                {
                  $url_back_image = $upload_url['baseurl'].$get_back_side_image;
                }
                else
                {
                  $url_back_image = '';
                }
                
                $current_price = get_post_meta( $rowIds->post_id,'_price',true );
                $custom_price=get_post_meta( $rowIds->post_id,'_pd_custom_price',true );
                $product_name=get_the_title( $rowIds->post_id );
                
                if($current_price)
                {
                  $current_price=$current_price;
                }
                else
                {
                  $current_price=0;
                }

                if($custom_price)
                {
                  $custom_price=$custom_price;
                }
                else
                {
                  $custom_price=0;
                }
                
                if( isset( $_REQUEST['wtd_id'] ) && ( $_REQUEST['wtd_id'] === $rowIds->post_id ) )
                {
                  $current_product_id=$_REQUEST['wtd_id'];
                  if($get_front_image)
                  {
                    $firstSelectedFrontImage = $get_front_image;
                  }
                  else 
                  {
                    $firstSelectedFrontImage = '';
                  }
                  $firstSelectedBackImage = $url_back_image;
                  echo '<div class="wtd_product_image wtd_selected_product" back-img-url="'. $url_back_image .'"><img src="'. $get_front_image .'" product-name='. $product_name .' current-price='. $current_price .' custom-price='. $custom_price .' product-id="'. $rowIds->post_id .'"/></div>'; 
                }
                else 
                {
                  echo '<div class="wtd_product_image" back-img-url="'. $url_back_image .'"><img src="'. $get_front_image .'" product-name='. $product_name .' current-price='. $current_price .' custom-price='. $custom_price .' product-id="'. $rowIds->post_id .'"/></div>'; 
                }
              }
              $count ++;
            }
            echo '<div class="clear_both"></div>';
          }
          else
          {
              echo '<div class="wtd_no_products">No Products Yet</div>';
          }
        ?>
      </div>
      <div class="wtd_add_new_text_panel wtd_display_none">
        <div class="wtd_text_path">
          <span><?php echo $settings['local_normal_text'];?>:&nbsp;<input type="radio" name="check_text_path" id="check_normal_text" checked="checked" value="normal_text"/></span>
          <span class="wtd_normal"><?php echo $settings['local_curved_text'];?>:&nbsp;<input type="radio" name="check_text_path" id="check_curved_text" value="curved_text"/></span>
        </div>
        <div class="wtd_textarea"><textarea name="wtd_new_text" id="wtd_new_text" cols="88" placeholder="<?php echo $settings['local_add_textbox_placeholder'];?>"></textarea></div>
        <div class="wtd_next_button"><a id="wtd_text_next_step" class="wtd_button_style" href=""><?php echo $settings['local_text_next'];?></a></div>
        <div class="wtd_update_delete_button">
          <a id="wtd_text_update_step" class="wtd_button_style" href=""><?php echo $settings['local_text_update'];?></a>
          <a id="wtd_text_delete_step" class="wtd_button_style" href=""><?php echo $settings['local_text_delete'];?></a>
          <a id="wtd_new_text_step" class="wtd_button_style" href=""><?php echo $settings['local_new_text'];?></a>
        </div>
        <div class="wtd_text_all_control wtd_display_none">
          <div class="wtd_text_settings"><?php echo $settings['local_general_settings'];?></div>
          <div class="wtd_text_control_all">
            <div class="wtd_change_font_n_color">
              <div class="wtd_change_font_title"><?php echo $settings['local_change_font'];?></div>
              <div class="wtd_change_font_select">
<!--                <div class="wtd_font_select_extra"></div>-->
                <select name="wtd_change_font_name" id="wtd_change_font_name">
                  <?php 
                  foreach ($fontArray as $fontName){
                    $parseFontName=  explode('.ttf', strtolower($fontName));
                  ?>
                    <option style="font-family:<?php echo $parseFontName[0];?>;" value="<?php echo $parseFontName[0];?>"><?php echo ucfirst($parseFontName[0]);?></option>
                  <?php }?>
                </select>
              </div>
              <div class="wtd_change_color_title">&nbsp;<?php echo $settings['local_text_color'];?>:</div>
              <div class="wtd_change_color_text_box"><input type="text" name="wtd_change_color" id="wtd_change_color" class="color"/></div>
            </div>
            <div class="wtd_change_size_n_align">
<!--              <div class="wtd_change_font_size_title">Change Size:</div>
              <div class="wtd_font_range"><input type="range" name="wtd_change_size" id="wtd_change_size" min="8" max="100" value="20"/></div>-->
              <div class="wtd_change_text_align_title">&nbsp;<?php echo $settings['local_text_align'];?>:</div>&nbsp;&nbsp;
              <div class="wtd_text_align_left_div"><div class="wtd_text_align_left"></div></div>
              <div class="wtd_text_align_center_div"><div class="wtd_text_align_center"></div></div>
              <div class="wtd_text_align_right_div"><div class="wtd_text_align_right"></div></div>
              <div class="wtd_change_text_style_title wtd_text_style_margin"><?php echo $settings['local_text_style'];?>:</div>
              <div class="wtd_text_style_bold_div"><div class="wtd_text_style_bold"></div></div>
              <div class="wtd_text_style_italic_div"><div class="wtd_text_style_italic"></div></div>
            </div>
            <div class="wtd_move_title"><?php echo $settings['local_text_move'];?></div>
            <div class="wtd_move_front">
              <div class="wtd_move_front_icon"></div>
              <div class="wtd_move_front_text"><?php echo $settings['local_move_front'];?></div>
            </div>
            <div class="wtd_move_back">
              <div class="wtd_move_back_icon"></div>
              <div class="wtd_move_back_text"><?php echo $settings['local_move_back'];?></div>
            </div>
<!--            <div class="wtd_text_style">
              <div class="wtd_change_text_style_title">Text Style:</div>&nbsp;&nbsp;
              <div class="wtd_text_style_bold"></div>
              <div class="wtd_text_style_italic"></div>
            </div>-->
            <div class="wtd_div_curved">
              <div class="wtd_curved_text_settings"><?php echo $settings['local_curved_text_settings'];?></div>
              <div class="wtd_curved_text_radius_spacing">
                <div class="wtd_limit_width">
                  <div class="wtd_change_curved_text_radius_title"><?php echo $settings['local_text_curved'];?>:</div>
                  <div class="wtd_change_radius_range"><input type="range" name="wtd_change_radius" id="wtd_change_radius" min="0" max="100" value="50" class="radius"/></div>
                </div>
                <div class="wtd_limit_width">&nbsp;
                  <div class="wtd_change_curved_text_spacing_title"><?php echo $settings['local_spacing'];?>:</div>
                  <div class="wtd_change_spacing_range"><input type="range" name="wtd_change_spacing" id="wtd_change_spacing" min="5" max="40" value="20" class="spacing"/></div>
                </div>
              </div>
              <div class="wtd_text_reverse_aignment">
                <div class="wtd_change_curved_direction_title"><?php echo $settings['local_text_flip'];?>:</div>
                <div class="wtd_change_reverse">
                  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label><input id="flipTop" type="radio" name="reverse" class="reverse" value="true" />&nbsp;<?php echo $settings['local_flip_top'];?></label> &nbsp;<label><input id="flipBottom" type="radio" name="reverse" class="reverse" value="false" checked="checked" />&nbsp;<?php echo $settings['local_flip_bottom'];?></label>
                </div>
              </div>
            </div>
          </div>
        </div>  
      </div>
      <div class="wtd_add_art_panel wtd_display_none">
        <div class="wtd_upload_art_panel">
          <div class="wtd_upload_title"><?php echo $settings['local_upload_your_image'];?></div>
          <form id="wtdUploadArt" action="<?php echo WTD_URL;?>/includes/upload.php" method="post" enctype="multipart/form-data">
              <input type="file" size="60" name="uploadfile"/>
              <input type="submit" class="wtd_button_style" value="<?php echo html_entity_decode($settings['local_text_upload']);?>"/>
          </form>
          <div id="wtd_progress">
            <div id="wtd_bar"></div>
            <div id="wtd_percent">0%</div >
          </div>
          <div id="wtd_message"></div>
        </div>
        <div class="wtd_admin_uploaded_art_panel">
          <div class="wtd_uploaded_title"><?php echo $settings['local_art_gallery'];?></div>
          <div class="wtd_gallery_image">
            <?php if( sizeof( $get_art ) >0 ){
            foreach ( $get_art as $rows){
            ?>
            <div class="wtd_art_image_div"><img src="<?php echo $upload_url['baseurl'].$rows->art_url;?>"/></div>
            <?php }} else {?>
            <div class="wtd_no_art"><?php echo $settings['local_no_art'];?></div>
            <?php }?>
          </div>
        </div>
        <div class="wtd_art_control_div wtd_display_none">
          <div class="wtd_move_title"><?php echo $settings['local_image_move'];?></div>
          <div class="wtd_move_front">
            <div class="wtd_move_front_icon"></div>
            <div class="wtd_move_front_text"><?php echo $settings['local_move_front'];?></div>
          </div>
          <div class="wtd_move_back">
            <div class="wtd_move_back_icon"></div>
            <div class="wtd_move_back_text"><?php echo $settings['local_move_back'];?></div>
          </div>
          <div class="wtd_art_button">
            <a id="wtd_art_delete_icon" class="wtd_button_style" href=""><?php echo $settings['local_text_delete'];?></a>
            <a id="wtd_newart_icon" class="wtd_button_style" href=""><?php echo $settings['local_text_new_art'];?></a>
          </div>
        </div>
      </div>
      <div class="wtd_help wtd_display_none">
        <?php echo html_entity_decode( $settings['help_text'] );?>
      </div>
      <div class="wtd_add_to_cart_panel wtd_display_none">
        <div class="wtd_variations_panel"></div>
        <div class="wtd_add_to_cart_button_area wtd_display_none">
          <div class="wtd_add_to_cart_title"><?php echo $settings['local_buy_product'];?></div>
          <div class="wtd_price_text"><?php echo html_entity_decode($settings['cost_text']);?>&nbsp;<?php echo get_woocommerce_currency_symbol();?><span id="wtd_total_price"></span></div>
          <div class="wtd_qty_n_add_to_cart_panel">
            <div class="wtd_qty_text"><?php echo $settings['local_Qty'];?>:&nbsp;<input type="number" name="wtd_qty" id="wtd_qty" value="1" min="1" placeholder="Qty"/></div>
            <a id="wtd_add_to_cart_button" class="wtd_button_style" href=""><?php echo $settings['local_text_add_to_cart'];?></a>
            <div class="wtd_loader_add_to_cart"></div>
            <div class="clear_both"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="wtd_design_object_panel">
    <div class="wtd_object_panel_top_div">
      <div class="wtd_design_preview_main">
        <div class="wtd_preview_icon"></div>
        <div class="wtd_preview_text"><?php echo $settings['local_preview'];?></div>
      </div>
<!--      <div class="wtd_design_save"></div>-->
      <div class="wtd_swap_item">
        <div class="wtd_item_front wtd_selected_product_image" img-url = "<?php echo $firstSelectedFrontImage;?>" data-id="<?php echo uniqid();?>">
          <div class="wtd_swap_item_front"></div>
          <div class="wtd_item_title"><?php echo $settings['local_front'];?></div>
        </div>
        <div class="wtd_item_back wtd_selected_product_image" img-url ="<?php echo $firstSelectedBackImage;?>" data-id="<?php echo uniqid();?>">
          <div class="wtd_swap_item_back"></div>
          <div class="wtd_item_title"><?php echo $settings['local_back'];?></div>
        </div>
      </div>
    </div>
    <div class="wtd_object_panel_middle_div">
      <canvas  id="wtd_background_image" width="496" height="418"></canvas>
    </div>
    <div class="wtd_object_panel_bottom_div">
      <div id="wtd_add_to_cart" class="wtd_add_to_cart"><div class="wtd_add_to_cart_icon"></div><div class="wtd_bottom_panel_control_add_to_cart"><?php echo $settings['local_buy'];?></div></div>
    </div>
  </div>
  <div class="clear_both"></div>
</div>
<input type="hidden" name="firstLoadData" id="firstLoadData" fon-img="<?php echo $firstSelectedFrontImage;?>" bc-img="<?php echo $firstSelectedBackImage;?>"/>
<input type="hidden" name="productID" id="productID" value="<?php echo $current_product_id; ?>"/>
<input type="hidden" name="wtd_plugin_url" id="wtd_plugin_url" value="<?php echo WTD_URL;?>"/>
<input type="hidden" name="wtd_upload_url" id="wtd_upload_url" value="<?php echo $upload_url['baseurl'];?>"/>
<input type="hidden" name="wtd_store_total_price" id="wtd_store_total_price"/>
<input type="hidden" name="wtd_cart_url" id="wtd_cart_url" value="<?php echo $cart_url;?>"/>
<input type="hidden" name="wtd_menu_default_color" id="wtd_menu_default_color" value="<?php echo $settings['bg_color_start'];?>"/>
<input type="hidden" name="wtd_menu_default_text_color" id="wtd_menu_default_text_color" value="<?php echo $settings['menu_default_text_color'];?>"/>
<input type="hidden" name="wtd_menu_selected_color" id="wtd_menu_selected_color" value="<?php echo $settings['menu_selected_color'];?>"/>
<input type="hidden" name="wtd_menu_selected_text_color" id="wtd_menu_selected_text_color" value="<?php echo $settings['menu_selected_text_color'];?>"/>
<input type="hidden" name="wtd_menu_selected_text_color_bottom" id="wtd_menu_selected_text_color_bottom" value="<?php echo $settings['bg_color_end'];?>"/>
<input type="hidden" name="wtd_menu_border_color" id="wtd_menu_border_color" value="<?php echo $settings['menu_border_color'];?>"/>

<input type="hidden" name="wtd_add_text_error" id="wtd_add_text_error" value="<?php echo $settings['local_add_text_error'];?>"/>
<input type="hidden" name="wtd_add_text_error_msg" id="wtd_add_text_error_msg" value="<?php echo $settings['local_add_text_error_msg'];?>"/>
<input type="hidden" name="wtd_add_curved_text_error_msg" id="wtd_add_curved_text_error_msg" value="<?php echo $settings['local_add_curved_text_error_msg'];?>"/>
<input type="hidden" name="wtd_add_options_error" id="wtd_add_options_error" value="<?php echo $settings['local_add_product_options_error'];?>"/>
<input type="hidden" name="wtd_add_options_error_msg" id="wtd_add_options_error_msg" value="<?php echo $settings['local_add_product_options_error_msg'];?>"/>
<input type="hidden" name="wtd_view_cart" id="wtd_view_cart" value="<?php echo $settings['local_view_cart'];?>"/>
<input type="hidden" name="wtd_view_cart_msg" id="wtd_view_cart_msg" value="<?php echo $settings['local_cart_success_msg'];?>"/>

<div class="wtd_no_text_msg">
  <div class="wtd_no_text_msg_close_icon"></div>
  <div class="wtd_no_text_title"></div>
  <div class="wtd_no_text_msg_content"></div>
</div>
<div class="wtd_preview_main_div">
  <div class="wtd_preview_close_icon"></div>
  <div class="wtd_preview_image_content"></div>
</div>
<div class="wtd_overlay"></div>
<?php
}
get_footer();
?>